Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support.internal.aop
Class ImportedOsgiServiceProxyAdvice

    java.lang.Object
      org.springframework.aop.support.IntroductionInfoSupport
          org.springframework.aop.support.DelegatingIntroductionInterceptor
              org.eclipse.gemini.blueprint.service.importer.support.internal.aop.ImportedOsgiServiceProxyAdvice

All Implemented Interfaces:
  Serializable, org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor, ImportedOsgiServiceProxy, org.springframework.aop.DynamicIntroductionAdvice, org.springframework.aop.IntroductionInfo, org.springframework.aop.IntroductionInterceptor

    public class ImportedOsgiServiceProxyAdvice

extends org.springframework.aop.support.DelegatingIntroductionInterceptor
implements ImportedOsgiServiceProxy

Mix-in implementation for ImportedOsgiServiceProxy.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.aop.support.IntroductionInfoSupport
`publishedInterfaces`

Constructor Summary
`ImportedOsgiServiceProxyAdvice(org.osgi.framework.ServiceReference reference)`

Method Summary
`boolean` | `equals(Object other)`
`ServiceReferenceProxy` | `getServiceReference()` Provides access to the service reference used for accessing the backing object.
`int` | `hashCode()`

Methods inherited from class org.springframework.aop.support.DelegatingIntroductionInterceptor
`doProceed, invoke`

Methods inherited from class org.springframework.aop.support.IntroductionInfoSupport
`getInterfaces, implementInterfacesOnObject, implementsInterface, isMethodOnIntroducedInterface, suppressInterface`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.aop.DynamicIntroductionAdvice
`implementsInterface`

Constructor Detail

### ImportedOsgiServiceProxyAdvice

    public ImportedOsgiServiceProxyAdvice(org.osgi.framework.ServiceReference reference)

Method Detail

### getServiceReference

    public ServiceReferenceProxy getServiceReference()

  Description copied from interface: `ImportedOsgiServiceProxy`
  Provides access to the service reference used for accessing the backing object. The returned object is a proxy over the native ServiceReference obtained from the OSGi platform, so that proper service tracking is obtained. This means that if the imported service change, the updates are reflected to the returned service reference automatically.

  Specified by:
    `getServiceReference` in interface `ImportedOsgiServiceProxy`
  Returns:
    backing object service reference

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.